
#import "car_objc_json_client.h"

@implementation QueryOrder
@synthesize field;
@synthesize direction;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation QueryResultPaging
@synthesize page;
@synthesize pageSize;
@synthesize pageCount;
@synthesize recordCount;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

NSString * const QUERYORDERDIRECTION_ASC = @"asc";
NSString * const QUERYORDERDIRECTION_DESC = @"desc";


@implementation QueryDefinition
@synthesize orders;
@synthesize pageNumber;
@synthesize pageSize;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation RsQueryResult
@synthesize paging;
@synthesize page;
@synthesize pageSize;
@synthesize pageCount;
@synthesize recordCount;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation LoginRequest
@synthesize userName;
@synthesize password;
@synthesize longitude;
@synthesize latitude;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ModifyPasswordRequest
@synthesize userName;
@synthesize oldPassword;
@synthesize fnewPassword;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"newPassword": @"fnewPassword",
                                                       }];
}


@end

@implementation CheckOrderRequest
@synthesize userId;
@synthesize orderIds;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ResetPasswordRequest
@synthesize userName;
@synthesize smsCode;
@synthesize fnewPassword;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"newPassword": @"fnewPassword",
                                                       }];
}


@end

@implementation CheckTicketRequest
@synthesize ticketNumber;
@synthesize checkManId;
@synthesize checkManName;
@synthesize checkDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation StationUserAcctHisEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize userId;
@synthesize oldBalance;
@synthesize occur;
@synthesize fnewBalance;
@synthesize billNumber;
@synthesize action;
@synthesize remark;
@synthesize userName;
@synthesize tradeNo;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"newBalance": @"fnewBalance",
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation DelegateCardBalanceEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize type;
@synthesize billNumber;
@synthesize originalAmount;
@synthesize changeAmount;
@synthesize balanceAmount;
@synthesize cardNumber;
@synthesize payMethod;
@synthesize payFlowNum;
@synthesize state;
@synthesize checkerId;
@synthesize checkerName;
@synthesize checkDate;
@synthesize stationName;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation CommentEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize orderNumber;
@synthesize stationId;
@synthesize stationName;
@synthesize stationUserId;
@synthesize stationUserName;
@synthesize memberId;
@synthesize memberName;
@synthesize commentDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation CouponStockEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize couponNumber;
@synthesize name;
@synthesize type;
@synthesize total;
@synthesize realToal;
@synthesize state;
@synthesize memberId;
@synthesize memberName;
@synthesize orderNumber;
@synthesize validBeginDate;
@synthesize validEndDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation GasItemEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize code;
@synthesize name;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation MemberEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize idno;
@synthesize mobilephone;
@synthesize name;
@synthesize password;
@synthesize wxid;
@synthesize alipayid;
@synthesize grade;
@synthesize imgurl;
@synthesize defCarNo;
@synthesize lstLoginTime;
@synthesize errLoginTime;
@synthesize status;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation RechargeBillEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize cardNumber;
@synthesize rechargeUserId;
@synthesize rechargeUserName;
@synthesize rechargeTime;
@synthesize originalAmount;
@synthesize rechargeAmount;
@synthesize remark;
@synthesize billNumber;
@synthesize state;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation OrderEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize billNumber;
@synthesize stationId;
@synthesize stationName;
@synthesize stationUserId;
@synthesize stationUserName;
@synthesize stationUserRealName;
@synthesize memberId;
@synthesize memberName;
@synthesize memberMobilephone;
@synthesize oilGunId;
@synthesize oilGunName;
@synthesize gasItemId;
@synthesize gasItemName;
@synthesize total;
@synthesize realPayTotal;
@synthesize payTime;
@synthesize payMethod;
@synthesize deduct;
@synthesize invoice;
@synthesize printed;
@synthesize lstPrintedTime;
@synthesize payFlowNum;
@synthesize state;
@synthesize remark;
@synthesize printId;
@synthesize vehicleNo;
@synthesize payFailedMsg;
@synthesize printState;
@synthesize invoiceId;
@synthesize alipayBuyerId;
@synthesize alipaybuyerLogonId;
@synthesize checkState;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation WxAccountMgrEntity
@synthesize active;
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize accountId;
@synthesize userId;
@synthesize userName;
@synthesize realName;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation WxKfAccountEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize username;
@synthesize password;
@synthesize accountId;
@synthesize nickName;
@synthesize workNum;
@synthesize headImgWxUrl;
@synthesize headImgMediaId;
@synthesize headImgLocalUrl;
@synthesize remark;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation WxMediaEntity
@synthesize accountId;
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize type;
@synthesize fileName;
@synthesize fileRawName;
@synthesize templateName;
@synthesize fdescription;
@synthesize mediaId;
@synthesize realPath;
@synthesize mediaUrl;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"description": @"fdescription",
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation IdEntity
@synthesize fid;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation ComboBox
@synthesize fid;
@synthesize text;
@synthesize selected;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation Highchart
@synthesize name;
@synthesize data;
@synthesize type;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ValidForm
@synthesize status;
@synthesize info;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation CgFormFieldEntity
@synthesize fid;
@synthesize fieldName;
@synthesize table;
@synthesize length;
@synthesize pointLength;
@synthesize type;
@synthesize isNull;
@synthesize isShow;
@synthesize showType;
@synthesize isQuery;
@synthesize queryMode;
@synthesize content;
@synthesize createDate;
@synthesize createBy;
@synthesize createName;
@synthesize updateDate;
@synthesize updateBy;
@synthesize updateName;
@synthesize orderNum;
@synthesize isKey;
@synthesize fieldLength;
@synthesize fieldHref;
@synthesize fieldValidType;
@synthesize dictField;
@synthesize dictTable;
@synthesize mainTable;
@synthesize mainField;
@synthesize oldFieldName;
@synthesize isShowList;
@synthesize dictText;
@synthesize fieldDefault;
@synthesize extendJson;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation CgFormIndexEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize indexName;
@synthesize indexField;
@synthesize indexType;
@synthesize table;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation GoodsEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize bpmStatus;
@synthesize name;
@synthesize code;
@synthesize fullName;
@synthesize outsideCode;
@synthesize manufacturersNo;
@synthesize supplier;
@synthesize productUnit;
@synthesize productOwner;
@synthesize brand;
@synthesize annual;
@synthesize season;
@synthesize productType;
@synthesize seriesName;
@synthesize sizeLength;
@synthesize sizeWidth;
@synthesize sizeHeight;
@synthesize sizeVolume;
@synthesize timeToMarket;
@synthesize priceCost;
@synthesize priceDrop;
@synthesize priceStandardSell;
@synthesize priceStandardBid;
@synthesize priceTrade;
@synthesize priceProxy;
@synthesize pricePlatform;
@synthesize gift;
@synthesize productVirtual;
@synthesize productCost;
@synthesize pointPack;
@synthesize pointSell;
@synthesize productUniquenessCode;
@synthesize batchManage;
@synthesize productSingleCode;
@synthesize expirationDate;
@synthesize supplyOfMaterialRound;
@synthesize safetyInventory;
@synthesize internationalCode;
@synthesize remark;
@synthesize productState;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation FileMeta
@synthesize fileName;
@synthesize fileSize;
@synthesize fileType;
@synthesize bytes;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TableJson
@synthesize msg;
@synthesize success;
@synthesize tableType;
@synthesize tableData;
@synthesize subTableDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation CgFormHeadEntity
@synthesize fid;
@synthesize tableName;
@synthesize isTree;
@synthesize isPagination;
@synthesize isDbSynch;
@synthesize isCheckbox;
@synthesize querymode;
@synthesize content;
@synthesize createDate;
@synthesize createBy;
@synthesize createName;
@synthesize updateDate;
@synthesize updateBy;
@synthesize updateName;
@synthesize columns;
@synthesize indexes;
@synthesize jformVersion;
@synthesize jformType;
@synthesize jformPkType;
@synthesize jformPkSequence;
@synthesize subTableStr;
@synthesize relationType;
@synthesize tabOrder;
@synthesize treeParentIdFieldName;
@synthesize treeIdFieldname;
@synthesize treeFieldname;
@synthesize jformCategory;
@synthesize formTemplate;
@synthesize formTemplateMobile;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation AjaxJson
@synthesize msg;
@synthesize attributes;
@synthesize success;
@synthesize obj;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TreeGrid
@synthesize functionType;
@synthesize order;
@synthesize operations;
@synthesize attributes;
@synthesize parentText;
@synthesize code;
@synthesize src;
@synthesize note;
@synthesize fid;
@synthesize text;
@synthesize parentId;
@synthesize state;
@synthesize fieldMap;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation ComboTree
@synthesize fid;
@synthesize text;
@synthesize checked;
@synthesize attributes;
@synthesize children;
@synthesize state;
@synthesize iconCls;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

//@implementation AjaxJson
//@synthesize attributes;
//@synthesize msg;
//@synthesize obj;
//@synthesize success;
//
//+(BOOL)propertyIsOptional:(NSString*)propertyName
//{
//    return YES;
//}
//
//
//@end

@implementation WxTagEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize accountId;
@synthesize name;
@synthesize tagId;
@synthesize userCount;
@synthesize remark;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation WxFansEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize accountId;
@synthesize openid;
@synthesize nickname;
@synthesize sex;
@synthesize city;
@synthesize country;
@synthesize province;
@synthesize language;
@synthesize headimgurl;
@synthesize subscribeTime;
@synthesize unionid;
@synthesize remark;
@synthesize groupid;
@synthesize subscribe;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation OtherTicketEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize ticketNumber;
@synthesize name;
@synthesize type;
@synthesize total;
@synthesize realPayTotal;
@synthesize state;
@synthesize memberId;
@synthesize memberName;
@synthesize orderNumber;
@synthesize startDate;
@synthesize endDate;
@synthesize remak;
@synthesize distributeDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation InvoiceEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize memberId;
@synthesize memberName;
@synthesize invoiceNumber;
@synthesize type;
@synthesize title;
@synthesize deliveryAddress;
@synthesize receiver;
@synthesize mobilePhone;
@synthesize state;
@synthesize total;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation DelegateCardEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize cardNumber;
@synthesize stationId;
@synthesize stationName;
@synthesize balance;
@synthesize remark;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation CouponEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize name;
@synthesize type;
@synthesize total;
@synthesize realTotal;
@synthesize state;
@synthesize probability;
@synthesize validateDays;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation DrawCashBillEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize applicantName;
@synthesize applicantId;
@synthesize workpoint;
@synthesize cash;
@synthesize state;
@synthesize remark;
@synthesize approverName;
@synthesize approverId;
@synthesize checkerName;
@synthesize checkerId;
@synthesize cause;
@synthesize billNumber;
@synthesize finishDate;
@synthesize approveDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation TOAppversionEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize version;
@synthesize url;
@synthesize forceupdate;
@synthesize apptype;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation StationUserAcctEntity
@synthesize fid;
@synthesize userId;
@synthesize userName;
@synthesize balance;
@synthesize dailyBillCount;
@synthesize drawBalance;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation TradeStatisticsResult
@synthesize orderCount;
@synthesize totalAmount;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation LoginResult
@synthesize user;
@synthesize station;
@synthesize createOrderUrl;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation RsResponse
@synthesize code;
@synthesize message;
@synthesize data;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ExceptionCode
@synthesize code;
@synthesize message;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation AlipayGzuserinfo
@synthesize fid;
@synthesize userid;
@synthesize name;
@synthesize department;
@synthesize position;
@synthesize mobile;
@synthesize province;
@synthesize gender;
@synthesize email;
@synthesize avatar;
@synthesize subscribeStatus;
@synthesize subscribeTime;
@synthesize accountid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize logonid;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation OrderQueryResult
@synthesize records;
@synthesize total;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation JeecgDemo
@synthesize status;
@synthesize mobilePhone;
@synthesize officePhone;
@synthesize email;
@synthesize age;
@synthesize salary;
@synthesize birthday;
@synthesize createDate;
@synthesize sex;
@synthesize depId;
@synthesize userName;
@synthesize content;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TSBaseUser
@synthesize userType;
@synthesize departid;
@synthesize signature;
@synthesize browser;
@synthesize userKey;
@synthesize status;
@synthesize activitiSync;
@synthesize password;
@synthesize userName;
@synthesize realName;
@synthesize currentDepart;
@synthesize userOrgList;
@synthesize deleteFlag;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TSDepart
@synthesize TSPDepart;
@synthesize departname;
@synthesize fdescription;
@synthesize TSDeparts;
@synthesize orgCode;
@synthesize orgType;
@synthesize mobile;
@synthesize fax;
@synthesize address;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"description": @"fdescription",
                                                       }];
}


@end

@implementation WithdrawQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TSUserOrg
@synthesize tsUser;
@synthesize tsDepart;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation WxMassBillEntity
@synthesize accountId;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize billNumber;
@synthesize msgType;
@synthesize textMsg;
@synthesize templateId;
@synthesize mediaId;
@synthesize isToAll;
@synthesize sendIgnoreReprint;
@synthesize cardId;
@synthesize cardName;
@synthesize msgId;
@synthesize msgDataId;
@synthesize sendStatus;
@synthesize sendErrMsg;
@synthesize totalCount;
@synthesize filterCount;
@synthesize sentCount;
@synthesize errorCount;
@synthesize checkState;
@synthesize remark;
@synthesize templateName;
@synthesize userTagId;
@synthesize userTagName;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation OrderQueryDefintion
@synthesize userId;
@synthesize userNameLike;
@synthesize billNumberLike;
@synthesize endDate;
@synthesize state;
@synthesize beginDate;
@synthesize checkState;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation WithdrawQueryDefintion
@synthesize userId;
@synthesize userNameLike;
@synthesize billNumberLike;
@synthesize endDate;
@synthesize state;
@synthesize beginDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation AccountHistoryQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation AccountHistoryQueryDefintion
@synthesize userId;
@synthesize beginDate;
@synthesize endDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TSUser
@synthesize signatureFile;
@synthesize mobilePhone;
@synthesize officePhone;
@synthesize email;
@synthesize createDate;
@synthesize createBy;
@synthesize createName;
@synthesize updateDate;
@synthesize updateBy;
@synthesize updateName;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation StationEntity
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize province;
@synthesize city;
@synthesize county;
@synthesize brand;
@synthesize longitude;
@synthesize latitude;
@synthesize partner;
@synthesize services;
@synthesize grade;
@synthesize remark;
@synthesize printerMachineCode;
@synthesize printerKey;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation StationUserEntity
@synthesize wxOpenId;
@synthesize worknum;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

